develooper Front page | perl.perl5.porters | Postings from March 2000

[PATCH 5.6.0-RC2] hints/freebsd.sh (REWORKED)

Thread Next
From:
Anton Berezin
Date:
March 15, 2000 15:22
Subject:
[PATCH 5.6.0-RC2] hints/freebsd.sh (REWORKED)
Message ID:
20000316002309.E86344@plab.ku.dk
Tested normal and -Dusethreads on FreeBSD 3.4-release, month-old
4.0-current and 5.0-current.

I have no access to 2.2.X, so could someone test it there as well
(Nathan?).

Cheers, Anton.

--- freebsd.sh.orig	Wed Mar 15 14:30:41 2000
+++ freebsd.sh	Wed Mar 15 23:12:50 2000
@@ -99,7 +99,11 @@
 case "$osvers" in
 0.*|1.0*) ;;
 
-3.*|4.0*)
+1*|2*)	cccdlflags='-DPIC -fpic'
+	lddlflags="-Bshareable $lddlflags"
+	;;
+
+*)
         objformat=`/usr/bin/objformat`
         if [ x$objformat = xelf ]; then
             libpth="/usr/lib /usr/local/lib"
@@ -108,24 +112,23 @@
             lddlflags="-shared "
         else
             if [ -e /usr/lib/aout ]; then
-            libpth="/usr/lib/aout /usr/local/lib /usr/lib"
-            glibpth="/usr/lib/aout /usr/local/lib /usr/lib"
-        fi
-        lddlflags='-Bshareable'
+                libpth="/usr/lib/aout /usr/local/lib /usr/lib"
+                glibpth="/usr/lib/aout /usr/local/lib /usr/lib"
+            fi
+            lddlflags='-Bshareable'
         fi
         cccdlflags='-DPIC -fpic'
         ;;
-
-*)	cccdlflags='-DPIC -fpic'
-	lddlflags="-Bshareable $lddlflags"
-	;;
 esac
 
 case "$osvers" in
-4.0*)
-	if /usr/bin/file /usr/lib/libc.so.3 | /usr/bin/grep -vq "not stripped" ; then
+0*|1*|2*|3*) ;;
+
+*)
+	if /usr/bin/file -L /usr/lib/libc.so | /usr/bin/grep -vq "not stripped" ; then
 	    usenm=false
 	fi
+        ;;
 esac
 
 cat <<'EOM' >&4
@@ -173,20 +176,15 @@
 $define|true|[yY]*)
         lc_r=`/sbin/ldconfig -r|grep ':-lc_r'|awk '{print $NF}'|tail -1`
         case "$osvers" in  
-	2.2.8*|3.*|4.*)
-	      if [ ! -r "$lc_r" ]; then
-	      cat <<EOM >&4
-POSIX threads should be supported by FreeBSD $osvers --
-but your system is missing the shared libc_r.
-(/sbin/ldconfig -r doesn't find any).
+	0*|1*|2.0*|2.1*)   cat <<EOM >&4
+I did not know that FreeBSD $osvers supports POSIX threads.
 
-Consider using the latest STABLE release.
+Feel free to tell perlbug@perl.com otherwise.
 EOM
-		 exit 1
-	      fi
-	      ldflags="-pthread $ldflags"
+	      exit 1
 	      ;;
-        2.2*)
+
+        2.2.[0-7]*)
               cat <<EOM >&4
 POSIX threads are not supported well by FreeBSD $osvers.
 
@@ -199,13 +197,21 @@
 EOM
 	      exit 1
 	      ;;
-	 *)   cat <<EOM >&4
-I did not know that FreeBSD $osvers supports POSIX threads.
 
-Feel free to tell perlbug@perl.com otherwise.
+	*)
+	      if [ ! -r "$lc_r" ]; then
+	      cat <<EOM >&4
+POSIX threads should be supported by FreeBSD $osvers --
+but your system is missing the shared libc_r.
+(/sbin/ldconfig -r doesn't find any).
+
+Consider using the latest STABLE release.
 EOM
-	      exit 1
+		 exit 1
+	      fi
+	      ldflags="-pthread $ldflags"
 	      ;;
+
 	esac
 
 	set `echo X "$libswanted "| sed -e 's/ c / c_r /'`


Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About